#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x5da2c20a, "pci_unregister_driver" },
	{ 0xd3422409, "__pci_register_driver" },
	{ 0x6ddb258c, "__netdev_watchdog_up" },
	{ 0x8143aaf8, "pci_restore_state" },
	{ 0x462e7879, "pci_set_power_state" },
	{ 0xde31fcf6, "pci_choose_state" },
	{ 0x68ac5c39, "pci_save_state" },
	{ 0x2e4cc746, "unregister_netdev" },
	{ 0x5e42e61, "free_netdev" },
	{ 0xc736c2db, "pci_disable_device" },
	{ 0x8f9a2de1, "pci_release_regions" },
	{ 0xedc03953, "iounmap" },
	{ 0x40b40e91, "register_netdev" },
	{ 0x228446b2, "pci_enable_wake" },
	{ 0x463e37ad, "init_timer" },
	{ 0x7af3f551, "pci_set_master" },
	{ 0x9eac042a, "__ioremap" },
	{ 0x9be4299e, "pci_set_dma_mask" },
	{ 0x8e4637d4, "pci_request_regions" },
	{ 0x575ee674, "pci_enable_device" },
	{ 0x65951e87, "alloc_etherdev" },
	{ 0x64ee137e, "generic_mii_ioctl" },
	{ 0x957ad06e, "ethtool_op_get_perm_addr" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb7c5693f, "mii_nway_restart" },
	{ 0x12ff73fc, "mii_ethtool_sset" },
	{ 0x7ff3d52f, "netif_carrier_off" },
	{ 0xf20dabd8, "free_irq" },
	{ 0x9c55cec, "schedule_timeout_interruptible" },
	{ 0xda264347, "del_timer" },
	{ 0x26e96637, "request_irq" },
	{ 0xb994c584, "per_cpu__irq_stat" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3bbf087, "netif_receive_skb" },
	{ 0x60a50c84, "eth_type_trans" },
	{ 0xaa87e077, "skb_over_panic" },
	{ 0xbb74a9b, "__alloc_skb" },
	{ 0xfd9cfc54, "dma_alloc_coherent" },
	{ 0xacf1cba7, "dma_free_coherent" },
	{ 0xb48de09c, "__kfree_skb" },
	{ 0xd8c152cd, "raise_softirq_irqoff" },
	{ 0xf1eb916e, "per_cpu__softnet_data" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x56662b32, "mod_timer" },
	{ 0x3b668842, "mii_check_link" },
	{ 0xc79efd97, "mii_link_ok" },
	{ 0x8c0ee31c, "mii_ethtool_gset" },
	{ 0x7d11c268, "jiffies" },
	{ 0xac7011c7, "pci_bus_read_config_byte" },
	{ 0xa3fa85c, "schedule_work" },
	{ 0x1b7d4074, "printk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x707f93dd, "preempt_schedule" },
	{ 0x89b301d4, "param_get_int" },
	{ 0x98bd6f46, "param_set_int" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v00008086d00001029sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001030sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001031sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001032sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001033sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001034sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001038sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001039sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Asv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Bsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Csv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Dsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Esv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001050sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001051sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001052sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001053sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001054sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001055sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001056sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001057sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001059sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001064sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001065sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001066sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001067sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001068sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001069sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000106Asv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000106Bsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001091sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001092sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001093sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001094sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001095sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001209sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001229sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00002449sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00002459sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000245Dsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d000027DCsv*sd*bc02sc00i*");

MODULE_INFO(srcversion, "2F58F74BDC42EADE22DB21A");
